repos:
  - repo: https://github.com/charliermarsh/ruff-pre-commit
    rev: "v0.1.240"
    hooks:
      - id: ruff
        args: ["check", "backend", "frontend"]
  - repo: https://github.com/pre-commit/mirrors-mypy
    rev: "v1.9"
    hooks:
      - id: mypy
        args: ["backend"]
